Status: New   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When modifying a config value that requires an array, the foreman_config_entry type is not idempotent.

Example:

foreman_config_entry {'trusted_puppetmaster_hosts':

    value => "[\"puppet1.example.com\", \"puppet2.example.com\"]",

}

 returns on the second run:

value changed '"[\"puppet1.example.com\", \"puppet2.example.com\"]"' to '["puppet1.example.com", "

puppet2.example.com"]'

Related issues:

Related to Foreman - Bug #14778: Cannot use foreman-rake config to set comple... Closed 04/22/2016

History

#1 - 05/19/2016 03:02 AM - Dominic Cleal

- Related to Bug #14778: Cannot use foreman-rake config to set complex (array) settings added

#2 - 05/19/2016 03:03 AM - Dominic Cleal

- Category set to Settings

- Status changed from New to Feedback

I think this might be fixed by #14778, which changes the output of arrays etc. Please give the patch a try or 1.11.2, which is due today if all goes well.

#3 - 05/19/2016 01:56 PM - Jonathan Camara

Gave 1.11.2 a try, and the second run now returns

value changed '["puppet1.example.com", "puppet2.example.com"]' to '["puppet1.example.com", "puppet2.example.co

m"]'

#4 - 05/20/2016 02:33 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Category changed from Settings to Foreman modules

- Status changed from Feedback to New
